/*
  But : Mise en forme de la vue principales et des sous-vues    
  Auteur : erik godel
  Date : 11.06.2022 / V1.0
*/

body {
  background-color: #fff1de;
  margin-left: 5em;
  margin-right: 5em;
}

/* ---------------------------- */
/* Titre principal */
/* ---------------------------- */
#titre {
  display: flex;
  align-items: center;
  justify-content: left;
}

#godelineLogo {
  width: 6em;
  height: 6em;
}

#godelineTitre {
  font-family: FreeMono, monospace;
  margin-left: 0.3em;
  font-size: 4em;
  border-bottom: 2px solid #ff9500;
}

/* Menu de navigation */
ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #5c5d61;
}

li {
  width: 50%;
}

#ongletCalc {
  float: left;
}

#ongletInfo {
  float: right;
}

li a {
  display: block;
  color: white;
  text-align: center;
  font-family: FreeMono, monospace;
  font-size: 2.2vw;
  padding: 14px 16px;
  text-decoration: none;
}

li a:hover {
  background-color: #111;
}

/* ---------------------------- */
/* Calculatrice */
/* ---------------------------- */
#calcInput {
  padding: 1em;
  font-family: FreeMono, monospace;
  font-size: 1.2em;
  display: flex;
  justify-content: space-around;
}

#calcInput p {
  width: 30%;
}

#calcInput input {
  width: 70%;
}

#calcOutput {
  padding: 1em;
  font-family: FreeMono, monospace;
  font-size: 1.2em;
  display: flex;
  justify-content: space-around;
}

#calcOutput p {
  width: 30%;
}

#calcOutput input {
  width: 70%;
}

#calc {
  width: 100%;
  padding: 1em;
}

#calc td input {
  width: 100%;
  background-color: #ffa200;
  border: none;
  border-radius: 3px;
  color: white;
  padding: 0.5em;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-family: FreeMono, monospace;
  font-size: 1em;
}

/* Les boutons qui feront directement des requêtes */
#specialButton {
  border: 1px solid black;
  border-radius: 5px;
}

#calc td input:hover {
  background-color: #ffdea3;
}

#calc td input:active {
  background-color: black;
}

/* Remarques et resources sous la calculette */
#remarques  {
  font-family: FreeMono, monospace;
}

#separation {
  border: 2px solid orange;
}

#ressources  {
  font-family: FreeMono, monospace;
}

#ressources a {
  color: #fa4902;
}

#textBordure {
  color: white;
  background-color: #ffa200;
  border: 1px solid black;
  border-radius: 5px;
}

/* ---------------------------- */
/* A propos du projet */
/* ---------------------------- */
#mapid {
  height: 50em;
}

#pageInfo p {
  font-family: FreeMono, monospace;
  font-size: 1.1em;
}

#pageInfo img {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
}

#pageInfo figcaption {
  font-family: FreeMono, monospace;
}

p {
  display: inline-block;
}

/* Adapté pour plus petits écrans */
@media screen and (max-width: 850px) {
  /* Corps */
  body {
    margin-left: 2em;
    margin-right: 2em;
  }

  /* Titre */
  #godelineLogo {
    width: 4em;
    height: 4em;
  }
  
  #godelineTitre {
    margin-left: 0.3em;
    font-size: 3em;
  }

  /* Entrée et sortie de la calculatrice */
  #calcInput {
    padding: 0.5em;
    font-size: 1em;
  }
  
  #calcInput input {
    width: 60%;
  }
  
  #calcOutput {
    padding: 0.5em;
    font-size: 1em;
  }
  
  #calcOutput input {
    width: 60%;
  }

  /* Calculatrice */
  #calc {
    width: 3vw;
    padding: 3vw;
    margin-right: auto;
    margin-left: auto;
  }
  
  #calc td input {
    width: 8vw;
    padding-right:0.4em;
    padding-left: 0.4em;
    padding-top: 1.4em;
    padding-bottom: 1.4em;
    font-size: 2vw;
  }

  #calc td #mobileButton {
    width: 17vw;
    padding-top: 2em;
    padding-bottom: 2em;
    font-size: 1.5vw;
  }

  /* Carte */
  #mapid {
    height: 20em;
  }

  /* texte sous l'image */
  figcaption {
    font-size: 2vw;
  }
  
}